Generate multi-page PDF
curl --request POST \
--url https://api.pictify.io/pdf/multi-page \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateUid": "<string>",
"variableSets": [
{}
],
"options": "<unknown>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({templateUid: '<string>', variableSets: [{}], options: '<unknown>'})
};
fetch('https://api.pictify.io/pdf/multi-page', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pictify.io/pdf/multi-page"
payload = {
"templateUid": "<string>",
"variableSets": [{}],
"options": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pictify.io/pdf/multi-page"
payload := strings.NewReader("{\n \"templateUid\": \"<string>\",\n \"variableSets\": [\n {}\n ],\n \"options\": \"<unknown>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.pictify.io/pdf/multi-page")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"templateUid\": \"<string>\",\n \"variableSets\": [\n {}\n ],\n \"options\": \"<unknown>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"url": "<string>",
"userStorageUrl": "<string>",
"pageCount": 123,
"preset": "<string>",
"pageSize": {
"width": 123,
"height": 123
}
}PDFs
Render Multi-Page PDF
Generate a PDF with multiple pages from a template
POST
/
pdf
/
multi-page
Generate multi-page PDF
curl --request POST \
--url https://api.pictify.io/pdf/multi-page \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateUid": "<string>",
"variableSets": [
{}
],
"options": "<unknown>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({templateUid: '<string>', variableSets: [{}], options: '<unknown>'})
};
fetch('https://api.pictify.io/pdf/multi-page', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pictify.io/pdf/multi-page"
payload = {
"templateUid": "<string>",
"variableSets": [{}],
"options": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pictify.io/pdf/multi-page"
payload := strings.NewReader("{\n \"templateUid\": \"<string>\",\n \"variableSets\": [\n {}\n ],\n \"options\": \"<unknown>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.pictify.io/pdf/multi-page")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"templateUid\": \"<string>\",\n \"variableSets\": [\n {}\n ],\n \"options\": \"<unknown>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"url": "<string>",
"userStorageUrl": "<string>",
"pageCount": 123,
"preset": "<string>",
"pageSize": {
"width": 123,
"height": 123
}
}Authorizations
API key obtained from the Pictify dashboard
Body
application/json
⌘I